%{
/*********************************************************/
/* trans.l						 */
/* Copyright : Norwegian Telecom Research, 1993		 */
/* Programming : Jon Stephenson von Tetzchner		 */
/* This file can be changed and modified as long as this */
/* header is kept intact. This code can not be included	 */
/* in a commercial product.				 */
/*********************************************************/

#include <stdio.h>
%}
MIFEND    	"# End".*"MIFFile"
PAGE      	"<PageNum".*">"
ParaStart	"<Para"[ \t]*"\n"
ParaLine	"<ParaLine"[ \t]*"\n"
PGFTAG    	"<PgfTag".*">"
PgfNumString	"<PgfNumString".*">"
STRING    	"<String".*">"
ParaEnd		"> #".*"Para"
FNoteUse  	"<FNote ".*">".*"\n"
FNoteStart  	"<FNote"[ \t]*"\n"
FNoteEnd  	">".*"FNote"
XRefStart 	"<XRef"[ \t]*"\n"
XRefSrcText 	"<XRefSrcText".*">"
XRefSrcFile	"<XRefSrcFile".*">"
XRefEnd   	"<XRefEnd".*">"
AFramesStart	"<AFrames"[ \t]*"\n"
AFramesEnd	">".*"AFrames"
AFrameUse	"<AFrame".*">"
FrameStart	"<Frame"[ \t]*"\n".*"<ID".*">"
IntFrameStart   "<Frame"[ \t]*"\n"
FrameEnd	">".*"Frame"
FrameType 	"<FrameType".*">"
TablesStart	"<Tbls"[ \t]*"\n"
TableStart	"<Tbl"[ \t]*"\n"
TableID		"<TblID".*">"
TableFormatStart	"<TblFormat"[ \t]*"\n"
TableFormatEnd	">".*"TblFormat"[ \t]*"\n"
TableNumColumns	"<TblNumColumns".*">"
TableTitleStart	"<TblTitleContent"[ \t]*"\n"
TableTitleEnd	">".*"TblTitleContent"[ \t]*"\n"
TableHeadStart	"<TblH"[ \t]*"\n"
TableHeadEnd	">".*"TblH"[ \t]*"\n"
TableFootStart	"<TblF"[ \t]*"\n"
TableFootEnd	">".*"TblF"[ \t]*"\n"
TableRowStart	"<Row"[ \t]*"\n"
TableCellStart 	"<Cell"[ \t]*"\n"
TableCellEnd	">".*"Cell"[ \t]*"\n"
TableRowEnd	">".*"Row"[ \t]*"\n"
TableBodyStart	"<TblBody"[ \t]*"\n"
TableBodyEnd	">".*"TblBody"[ \t]*"\n"
TableEnd	">".*"Tbl"[ \t]*"\n"
TablesEnd	">".*"Tbls"[ \t]*"\n"
TableUse	"<ATbl".*">"
MarkerType      "<MType".*">"
MarkerText	"<MText".*">"
TextFlowStart	"<TextFlow".*"\n"
TextFlowRectID	"<TextRectID".*">"
TextFlowEnd	">".*"TextFlow"
TextRectUse	"<TextRect".*"\n".*"<ID".*">"
SpecialChar	"<Char".*">"
PgfFontStart 	"<PgfFont"[ \t]*"\n"
PgfFontEnd	">".*"PgfFont"[ \t]*"\n"
FontStart 	"<Font"[ \t]*"\n"
FontEnd		">".*"Font"[ \t]*"\n"
FFamily         "<FFamily".*">"
FWeight		"<FWeight".*">"
FAngle		"<FAngle".*">"
FUnderline	"<FUnderline".*">"
FSupscript	"<FSupScript".*">"
FSubscript	"<FSubScript".*">"
FUnderline4     "<FUnderlining"[ \t]*"FSingle>"
FSupscript4     "<FPosition"[ \t]*"FSuperscript>"
FSubscript4     "<FPosition"[ \t]*"FSubscript>"
KILL      	("#"|">"|"<"|"&"|"="|[a-zA-Z]|[0-9]|[,\"`'.{}!@#$%&:;~]|"["|"]"|"("|")"|"*"|"+"|"="|"/"|"\\"|"^"|"-").*
SPACE     	[ \t]+  
MIFSTART  	"<MIFFile".*">".*"#".*"\n"
VariStart	"<Variable"[ \t]*"\n"
VariName	"<VariableName".*">\n"
VariEnd		"> #".*"Variable\n"
VariFormsStart	"<VariableFormats"[ \t]*"\n"
VariFormStart	"<VariableFormat"[ \t]*"\n"
VariDef		"<VariableDef".*">\n"
VariFormEnd	"> #".*"VariableFormat\n"
VariFormsEnd	"> #".*"VariableFormats\n"
%%
{MIFSTART}  		return MIFSTART;
{MIFEND}    		return MIFEND;
{PAGE}      		return PAGE;
{ParaStart}		return PARASTART;
{ParaLine}		return PARALINE;
{PGFTAG}    		return PGFTAG;
{PgfNumString}		return PGFNUMSTRING;
{STRING}    		return STRING;
{ParaEnd}		return PARAEND;
{FNoteUse}  		return FNOTEUSE;
{FNoteStart}  		return FNOTESTART;
{FNoteEnd}  		return FNOTEEND;
{XRefStart} 		return XREFSTART;
{XRefSrcText}		return XREFSRCTEXT;
{XRefSrcFile}		return XREFSRCFILE;
{XRefEnd}   		return XREFEND;
{AFramesStart}		return AFRAMESSTART;
{AFramesEnd}		return AFRAMESEND;
{FrameStart}		return FRAMESTART;
{IntFrameStart}         return INTFRAMESTART;
{FrameEnd}		return FRAMEEND;
{FrameType}		return FRAMETYPE;
{AFrameUse}		return AFRAMEUSE;
{TablesStart}		return TABLESSTART;
{TableStart}		return TABLESTART;
{TableID}		return TABLEID;
{TableFormatStart}	return TABLEFORMATSTART;
{TableFormatEnd}	return TABLEFORMATEND;
{TableNumColumns}	return TABLENUMCOLUMNS;
{TableTitleStart}	return TABLETITLESTART;
{TableTitleEnd}		return TABLETITLEEND;
{TableHeadStart}	return TABLEHEADSTART;
{TableHeadEnd}		return TABLEHEADEND;
{TableFootStart}	return TABLEFOOTSTART;
{TableFootEnd}		return TABLEFOOTEND;
{TableRowStart}		return TABLEROWSTART;
{TableCellStart}	return TABLECELLSTART;
{TableCellEnd}		return TABLECELLEND;
{TableRowEnd}		return TABLEROWEND;
{TableBodyStart}	return TABLEBODYSTART;
{TableBodyEnd}		return TABLEBODYEND;
{TableEnd}		return TABLEEND;
{TablesEnd}		return TABLESEND;
{TableUse}		return TABLEUSE;
{MarkerType}		return MARKERTYPE;
{MarkerText}		return MARKERTEXT;
{TextFlowStart}		return TEXTFLOWSTART;	
{TextFlowRectID}	return TEXTFLOWRECTID;	
{TextFlowEnd}		return TEXTFLOWEND;	
{TextRectUse}	        {return TEXTRECTIDUSE;}
{SpecialChar}	        {return SPECIALCHAR;}
{PgfFontStart}	        {return PGFFONTSTART;}
{PgfFontEnd}	        {return PGFFONTEND;}
{FontStart}	        {return FONTSTART;}
{FontEnd}	        {return FONTEND;}
{FFamily}	        {return FFAMILY;}
{FWeight}	        {return FWEIGHT;}
{FAngle}	        {return FANGLE;}
{FUnderline}	        {return FUNDERLINE;}
{FSupscript}		{return FSUPSCRIPT;}
{FSubscript}		{return FSUBSCRIPT;}
{FUnderline4}	        {return FUNDERLINE;}
{FSupscript4}		{return FSUPSCRIPT;}
{FSubscript4}		{return FSUBSCRIPT;}
"\n"        		{/* */}
{KILL}      		{DoFrame();}
{SPACE}     		{/* */}
{VariStart}		return VARISTART;
{VariName}		return VARINAME;
{VariEnd}		return VARIEND;
{VariFormsStart}	return VARIFORMSSTART;
{VariFormStart}		return VARIFORMSTART;
{VariDef}		return VARIDEF;
{VariFormEnd}		return VARIFORMEND;
{VariFormsEnd}		return VARIFORMSEND;
%%

#ifndef yywrap		/* Added as it seems it has been moved to the flex */
int yywrap()           /* libray on some systems */
{return 1;}
#endif



